%define snapshot 0
%define pre rc

%ifarch %{arm} aarch64
%define build_docs 0
%else
%define build_docs 0
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtx11extras %mklibname qt5x11extras %qtmajor
%define libqtx11extras_d %mklibname qt5x11extras -d
%define libqtx11extras_p_d %mklibname qt5x11extras-private  -d

%if %snapshot
%define qttarballdir qtx11extras-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtx11extras-everywhere-opensource-src-%{qtversion}
%endif
Name: qtx11extras5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt X11Extras component
Group: Development/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %version
BuildRequires: qt5platformsupport-devel >= %version
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Provides specific APIs for X11.

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtX11Extras%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtX11Extras5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtx11extras.qch
%{_qt5_docdir}/qtx11extras/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtx11extras}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
# Fix naming glitch in cauldron (mga6)
Obsoletes: %{_lib}qtx11extras5 < 5.6.0-2

%description -n %{libqtx11extras}
Qt%{qtmajor} Component Library.


%files -n %{libqtx11extras}
%{_qt5_libdir}/libQt5X11Extras.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtx11extras_d}
Summary: Devel files needed to build apps based on QtX11Extras
Group:    Development/Libraries
Requires: %{libqtx11extras} = %version
Provides: libqtx11extras5-devel = %version
Provides: libqt5x11extras-devel = %version
Provides: qtx11extras5-devel = %version
Provides: qt5x11extras-devel = %version

%description -n %{libqtx11extras_d}
Devel files needed to build apps based on QtX11Extras.

%files -n %{libqtx11extras_d}
%{_qt5_includedir}/QtX11Extras
%{_qt5_libdir}/cmake/Qt5X11Extras
%{_qt5_libdir}/libQt5X11Extras.prl
%{_qt5_libdir}/libQt5X11Extras.so
%{_qt5_libdir}/pkgconfig/Qt5X11Extras.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_x11extras.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_x11extras_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtx11extras-everywhere-src-%{qtversion}

%build
%qmake_qt5

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"; make -j $RPM_BUILD_NCPUS

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete



%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version
